Forum Clubic

[GEntoo] Probleme divers !

Quand je fai un emerge alsa-driver jai ceci :

[fixed]>>> emerge (1 of 1) media-sound/alsa-driver-1.0.8_rc1 to /

md5 src_uri :wink: alsa-driver-1.0.8rc1.tar.bz2

  • Determining the location of the kernel source code
  • Found kernel source directory:
  • /usr/src/linux
    
  • Found sources for kernel version:
  • 2.6.10-gentoo-r5
    
  • Checking for suitable kernel configuration options
  • ALSA is already compiled into the kernel.
  • Please check to make sure these options are set correctly.
  • Once you have satisfied these options, please try merging
  • this package again.

!!! ERROR: media-sound/alsa-driver-1.0.8_rc1 failed.
!!! Function check_extra_config, Line 453, Exitcode 0
!!! Incorrect kernel configuration options
!!! If you need support, post the topmost build error, NOT this status message.

bash-2.05b# [/fixed]

Si c’est bon jai continué le reste de la doc et sa fonctionne :smiley:

Topic inutile si modo passe par la vous pouvez le suprimé !

surtout que si tu avais fait une recherche tu aurais pu trouver des réponses par exemple :
http://forum.clubic.com/forum2.php?config=clubic.inc&post=17003&cat=10&cache=&sondage=0&owntopic=0&p=1&trash=0&subcat=0
http://forum.clubic.com/forum2.php?config=clubic.inc&post=17560&cat=10&cache=&sondage=0&owntopic=0&p=1&trash=0&subcat=0

D’ou le http://forum.clubic.com/images/lordaj76-5676273.png

:lol:

Voila je narrive pas a faire fonctionné mon graveur et lecteur dvd voila mon fstab gentoo :

[fixed]/dev/hdd /mnt/cdrom auto noauto,ro,users,exec 0 0
/dev/hdc /mnt/dvd auto noauto,ro,users,exec 0 0
[/fixed]

Et voila celui de mdk ( tout focntionne sur mdk ) :

[fixed]/dev/hdc /mnt/cdrom auto umask=0,user,iocharset=iso8859-15,codepage=850,noauto,ro,exec,users 0 0
/dev/hdd /mnt/cdrom2 auto umask=0,user,iocharset=iso8859-15,codepage=850,noauto,ro,exec,users 0 0
[/fixed]

Le probleme etant quil ny a rien dans les repertoires /mnt/cdrom et mnt/dvd alors quil y a bien des cd dedans !

Faut que tu mount tes lecteurs pour y accerder

mount /mnt/cdrom

Effectivement sa fonctionne mais je pensai que justement le fstab servait a faire un autu mount , dans ce cas faire pour quil y a auto mount au demarrage ?

noatime dans les options il me semble

non, noatime ca desactive une mise a jour de je sais plus quoi, pour plus de vitesse

pour monter automatiquement faut virer l’option… noauto, quelle surprise :smiley:

ATTENTION : ca veut pas dire que ca montera ton cd quand tu en mettras un, et que ca le demontera quand tu appuyeras sur le bouton pour le sortir ! ca, ca n’a rien a voir

Tu peux essayer d’installer hal+dbus+ivman. Ca fait les montages automatiquement. De plus, je sais pas si c’est activé chez toi, on peut passer un paramètre dans le noyau (via /proc) pour qu’il démonte les CD tout seul comme un grand quand tu appuie sur le bouton d’ejection.

Oki merci sinon comment faire pour le demasquer la , je seche !

[fixed]siou siou # emerge ebuilder
Calculating dependencies
!!! All ebuilds that could satisfy “ebuilder” have been masked.
!!! One of the following masked packages is required to complete your request:

  • app-portage/ebuilder-0.4-r1 (masked by: package.mask)

genone@gentoo.org (08 Dec 2004)

app-portage pre-christmas cleaning, these packages are unmaintained upstream

and have open bugs

For more information, see MASKED PACKAGES section in the emerge man page or
section 2.2 “Software Availability” in the Gentoo Handbook.

siou siou # echo “app-portage/ebuilder ~x86” >>/etc/portage/package.mask
siou siou # emerge ebuilder
Calculating dependencies
!!! All ebuilds that could satisfy “ebuilder” have been masked.
!!! One of the following masked packages is required to complete your request:

  • app-portage/ebuilder-0.4-r1 (masked by: package.mask)

genone@gentoo.org (08 Dec 2004)

app-portage pre-christmas cleaning, these packages are unmaintained upstream

and have open bugs

For more information, see MASKED PACKAGES section in the emerge man page or
section 2.2 “Software Availability” in the Gentoo Handbook.
[/fixed]

echo “app-portage/ebuilder” >>/etc/portage/package.unmask

Comment faire pour que quand je fai un emerge il m’installe ( ou selectionne quand c’est possible ) les logiciels en francais ?

Dans ton make.conf tu met

LINGUAS=“fr”

depuis que jai mi mon gcc a jour jarrive plus a faire un emerge correct , a chaque fois jai cette erreur pour compilé amarok , mesa , dvdrip etc …

[fixed]libtool: link: /usr/lib/gcc-lib/i686-pc-linux-gnu/3.3.4/libstdc++.la' is not a valid libtool archive make[5]: *** [libamarok_void-engine_plugin.la] Erreur 1 make[5]: Leaving directory/var/tmp/portage/amarok-1.2_beta3/work/amarok-1.2-beta3/amarok/src/engine/void’
make[4]: *** [all-recursive] Erreur 1
make[4]: Leaving directory /var/tmp/portage/amarok-1.2_beta3/work/amarok-1.2-beta3/amarok/src/engine' make[3]: *** [all-recursive] Erreur 1 make[3]: Leaving directory/var/tmp/portage/amarok-1.2_beta3/work/amarok-1.2-beta3/amarok/src’
make[2]: *** [all-recursive] Erreur 1
make[2]: Leaving directory /var/tmp/portage/amarok-1.2_beta3/work/amarok-1.2-beta3/amarok' make[1]: *** [all-recursive] Erreur 1 make[1]: Leaving directory/var/tmp/portage/amarok-1.2_beta3/work/amarok-1.2-beta3’
make: *** [all] Erreur 2

!!! ERROR: media-sound/amarok-1.2_beta3 failed.
!!! Function kde_src_compile, Line 142, Exitcode 2
!!! died running emake, kde_src_compile:make
!!! If you need support, post the topmost build error, NOT this status message.
[/fixed]

C’est apres l’update de gcc ?

Si oui y’a une commande a executer (que j’ai oublié)

Il en a été question dans le JRAD il y a pas longtemps

Il faut lancer fix_libtool_files.sh avec le numéro de version de l’ancienne version de GCC utilisé. tu semble utiliser gcc-3.3.4 si tu upgrade a partir de gcc 3.3.3 lance [fixed]fix_libtool_files.sh 3.3.3[/fixed]

voila c’est ca la commande :smiley:

Merci m’sieur

[fixed]* sys-devel/gcc :
[M ] 2.95.3-r8 (2.95)
[M ] 3.2.3-r4 (3.2)
[M ] 3.3.2 (3.3)
[M~ ] 3.3.2-r2 (3.3)
[M ] 3.3.2-r5 (3.3)
[M~ ] 3.3.2-r7 (3.3)
[M~ ] 3.3.3-r3 (3.3)
[M ] 3.3.3-r6 (3.3)
[ ] 3.3.4-r1 (3.3)
[ ~ ] 3.3.4-r2 (3.3)
[ I] 3.3.5-r1 (3.3)
[ ~ ] 3.4.1-r3 (3.4)
[ ~ ] 3.4.2-r2 (3.4)
[ ~ ] 3.4.3 (3.4)
[ ~ ] 3.4.3-r1 (3.4)
[ I] 3.4.3.20050110 (3.4)
[/fixed]

Donc jai fai :

[fixed]fix_libtool_files.sh 3.3.5-r1[/fixed]

mais toujours le meme probleme !

Essai sans le “-r1” sinon essai fix_libtool_files.sh pour toutes les versions precedentes.

tu as actuellement 2 versions de GCC regarde laquelle tu utilise (gcc -v)